Loading...
Searching...
No Matches
pcl::gpu::Feature Struct Reference

Feature represents the base feature class. More...

`#include </build/pcl-KfHoN9/pcl-1.15.0+dfsg/gpu/features/include/pcl/gpu/features/features.hpp>`

Inheritance diagram for pcl::gpu::Feature:

## Public Types

using | PointType = PointXYZ
using | NormalType = PointXYZ
using | PointCloud = DeviceArray< PointType >
using | Normals = DeviceArray< NormalType >
using | Indices = DeviceArray< int >

## Public Member Functions

| Feature ()
void | setInputCloud (const PointCloud &cloud)
void | setSearchSurface (const PointCloud &surface)
void | setIndices (const Indices &indices)
void | setRadiusSearch (float radius, int max_results)

## Protected Attributes

PointCloud | cloud_
PointCloud | surface_
Indices | indices_
float | radius_
int | max_results_
Octree | octree_

## Detailed Description

Feature represents the base feature class.

Definition at line 53 of file features.hpp.

## Member Typedef Documentation

## Indices

using pcl::gpu::Feature::Indices = DeviceArray<int>

Definition at line 61 of file features.hpp.

## Normals

using pcl::gpu::Feature::Normals = DeviceArray<NormalType>

Definition at line 60 of file features.hpp.

## NormalType

using pcl::gpu::Feature::NormalType = PointXYZ

Definition at line 57 of file features.hpp.

## PointCloud

using pcl::gpu::Feature::PointCloud = DeviceArray<PointType>

Definition at line 59 of file features.hpp.

## PointType

using pcl::gpu::Feature::PointType = PointXYZ

Definition at line 56 of file features.hpp.

## Constructor & Destructor Documentation

## Feature()

pcl::gpu::Feature::Feature | ( |  | ) |

## Member Function Documentation

## setIndices()

void pcl::gpu::Feature::setIndices | ( | const Indices & | indices | ) |

## setInputCloud()

void pcl::gpu::Feature::setInputCloud | ( | const PointCloud & | cloud | ) |

## setRadiusSearch()

void pcl::gpu::Feature::setRadiusSearch | ( | float | radius,
|  | int | max_results
| ) |  |

## setSearchSurface()

void pcl::gpu::Feature::setSearchSurface | ( | const PointCloud & | surface | ) |

## Member Data Documentation

## cloud_

PointCloud pcl::gpu::Feature::cloud_

protected

Definition at line 70 of file features.hpp.

## indices_

Indices pcl::gpu::Feature::indices_

protected

Definition at line 72 of file features.hpp.

## max_results_

int pcl::gpu::Feature::max_results_

protected

Definition at line 74 of file features.hpp.

## octree_

Octree pcl::gpu::Feature::octree_

protected

Definition at line 76 of file features.hpp.

## radius_

float pcl::gpu::Feature::radius_

protected

Definition at line 73 of file features.hpp.

## surface_

PointCloud pcl::gpu::Feature::surface_

protected

Definition at line 71 of file features.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-KfHoN9/pcl-1.15.0+dfsg/gpu/features/include/pcl/gpu/features/features.hpp